import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

class MineHeaderSkeleton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Shimmer.fromColors(
      baseColor: Colors.grey[300],
      highlightColor: Colors.grey[100],
      child: Container(
        child: Row(
          children: <Widget>[
            Container(
              margin: EdgeInsets.only(left: 20, top: 20, bottom: 20, right: 12),
              width: 56,
              height: 56,
              decoration: BoxDecoration(
                color: Colors.white,
                borderRadius: BorderRadius.circular(28),
              ),
            ),
            Expanded(
                child: Column(
              mainAxisAlignment: MainAxisAlignment.start,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Container(
                  width: 120,
                  height: 20,
                  color: Colors.white,
                ),
                Container(
                  margin: EdgeInsets.only(top: 8),
                  width: 80,
                  height: 12,
                  color: Colors.white,
                ),
              ],
            ))
          ],
        ),
      ),
    );
  }
}
